Qyra
ReferenceSQL runner

Run SQL pivot query

Run a SQL pivot query

POST/api/v1/projects/{projectUuid}/sqlRunner/runPivotQuery

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "limit": 0,
  "sql": "string",
  "pivotColumnsOrder": [
    {
      "reference": "string"
    }
  ],
  "passthroughDimensions": [
    {
      "reference": "string"
    }
  ],
  "sortOnlyDimensions": [
    {
      "reference": "string"
    }
  ],
  "sortOnlyColumns": [
    {
      "aggregation": "sum",
      "reference": "string"
    }
  ],
  "metricsAsRows": true,
  "sortBy": [
    {
      "pivotValues": [
        {
          "value": "string",
          "reference": "string"
        }
      ],
      "nullsFirst": true,
      "direction": "ASC",
      "reference": "string"
    }
  ],
  "groupByColumns": [
    {
      "reference": "string"
    }
  ],
  "valuesColumns": [
    {
      "aggregation": "sum",
      "reference": "string"
    }
  ],
  "indexColumn": {
    "type": "time",
    "reference": "string"
  },
  "savedSqlUuid": "string"
}

Responses

200 — Success

{
  "results": {
    "jobId": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}